Update a system environment

View as Markdown

Updates a system environment’s information. You can update one or more fields in a single call.

Note:

If you update the name, it must be unique within the team.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

systemEnvironmentIdstringRequired
The system environment's ID.

Request

This endpoint expects an object.
namestringOptional1-255 characters
The system environment's name. This value must be unique within the team.
descriptionstringOptional<=500 characters
A description of the system environment. To remove a description, pass this value as an empty string.
colorstringOptionalformat: "^#[0-9A-Fa-f]{6}$"

A six-digit hex color code.

isProductionbooleanOptional
If true, the system environment is a production environment.

Response

Successful Response
dataobject
Information about the system environment.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error